<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="containers"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idContainer"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['container-popup-new-list', idFacility] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.container.containerCode'|translate}}" field="containerCode" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.container.description'|translate}}" field="description" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.container.facility'|translate}}" *ngIf="idFacility === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.facilityId">
                    <a [routerLink]="['../facility', rowData.facilityId  ]" >{{rowData.facilityDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.container.containerType'|translate}}" *ngIf="idContainerType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.containerTypeId">
                    <a [routerLink]="['../container-type', rowData.containerTypeId  ]" >{{rowData.containerTypeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'container/'+ rowData.idContainer + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idContainer)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
